A nova versão do XML da NFC-e, versão 4.0, já está em produção, porém existe uma alteração na versão das informações contidas no QR-Code de consulta da NFC-e que precisam ser atualizadas!

       A partir do dia 02/12/2018 só será autorizada a NFC-e que estiver com os parâmetros do QR-Code na versão 2.0. A NFC-e com versão do QR-Code 1.0 será REJEITADA! Mesmo que esteja na versão do XML 4.0.

       Verifique com sua área de TI ou empresa prestadora responsável pelo programa emissor da NFC-e se o aplicativo já está atualizado para o novo padrão do QR-Code 2.0.


O novo padrão da URL do QR-Code é:

http://nfce.sefaz.pe.gov.br/nfce/consulta?p=<chave_acesso>|<versao_qrcode>

|<tipo_ambiente>|<identificador_csc>|<codigo_hash>

 

Observe que a URL e os parâmetros devem estar atualizados para a versão 2.0

Para maiores informações consultar:

1) Portal da NFC-e no ENCAT

http://nfce.encat.org/

2)  Manual do Desenvolvedor na nova versão XML (4.0) e QRCode (2.0):

http://www.nfe.fazenda.gov.br/portal/exibirArquivo.aspx?conteudo=/xyXbAFZ71k=

3)  Link de definição das URL do QRCode (2.0) por UF:

http://nfce.encat.org/desenvolvedor/qrcode/